
Foreman - Feature #3963

Restore previous page upon session timeout

01/07/2014 06:25 PM - Mike McCune

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a user's webui session times out we need to take the user back to the previous page they were using

Katello had this feature and we lost it when moving to Foreman as our main UI container.

Signo utilized a ?return_url= parameter, eg:

https://foreman.example.com/signo/?return_url=https%3A%2F%2Fforeman.example.com%2Fkatello%2Fuser_session%2Fnew#/pro

ducts

History

#1 - 01/08/2014 06:33 AM - Ohad Levy

- Assignee deleted (Amos Benari)

- translation missing: en.field_release set to 2

- Difficulty set to trivial

#2 - 01/09/2014 02:34 PM - Anonymous

- Target version set to 1.9.2

#3 - 01/20/2014 12:37 PM - Dominic Cleal

- translation missing: en.field_release deleted (2)

#4 - 01/26/2014 08:34 PM - Daniel Lobato Garcia

- Status changed from New to Assigned

- Assignee set to Daniel Lobato Garcia

#5 - 01/26/2014 09:12 PM - Daniel Lobato Garcia

- Status changed from Assigned to Closed

We are already doing this by saving the previous page users are at session[:original_uri] after clearing the session and redirecting (read carefully the

order this code is executed).

1. resets current session

2. redirect to login_users_path

3. line 164, session is { :original_uri => 'whatever' }

https://github.com/theforeman/foreman/blob/develop/app/controllers/application_controller.rb#L164

and then we just redirect to it on successful login:

https://github.com/theforeman/foreman/blob/develop/app/controllers/users_controller.rb#L113

So I'm closing this unless this ticket meant something different I didn't understand.
#6 - 01/27/2014 01:19 PM - Dominic Cleal

- Status changed from Closed to Rejected

- Target version deleted (1.9.2)

#7 - 03/28/2014 07:38 PM - Justin Sherrill

- Status changed from Rejected to New

Reopening as katello's URLs aren't properly redirected to.  Our use of angular and hashtags mean that urls such as:

/katello/content_views/#/content_views

end up being redirected to:

/katello/content_views/

which is a blank page.  We added support long ago in katello and had to do some javascript work to make it send up the 'actual' url to the server so it

could redirect properly.

#8 - 03/31/2014 07:18 AM - Dominic Cleal

- Assignee deleted (Daniel Lobato Garcia)

- Difficulty deleted (trivial)
